修改密码

Input error
Input error
Input error
提交

修改昵称

当前昵称:
提交
搜索
v4.0
    v4.0

    简介

    本文档主要介绍 Ultipa Java SDK 的安装和使用。获取 ultipa-sdk-java-xxx.jar 的最新版本(请联系 Ultipa 支持团队)。

    Java 环境

    Java 8 及以上版本

    Maven 项目中使用

    V4.1.0 及更新版本的 Java SDK 支持下述第一种使用方式且无需上传 sdk 文件,其他旧版支持下述三种方式。

    方式一 上传到内部 Maven 私服库

    • 在 Maven 私服库控制台(例如 nexus 的控制台)上,将 sdk 文件上传(仅旧版需要上传,V4.1.0及更新版本无需上传)
    • 在项目的 pom.xml 中添加依赖:
    <dependency>
      <groupId>com.ultipa</groupId>
      <artifactId>ultipa-java-sdk</artifactId>
      <version>4.0.1</version>
    </dependency>
    

    这种引入方式,sdk 所依赖的第三方包会传递依赖并下载,方便本地开发,也方便使用 Jenkins 等集成工具构建;前提是公司内部有 Maven 私服库的环境。

    方式二 本地路径引入(仅旧版支持)

    • 将 sdk 文件拷贝到您的项目中;
    • 在项目的 pom.xml 中添加依赖:
    <dependency>
      <groupId>com.ultipa</groupId>
      <artifactId>ultipa-java-sdk</artifactId>
      <version>4.0.1</version>
      <scope>system</scope>
      <systemPath>${pom.basedir}/src/main/resources/lib/ultipa-java-sdk-4.0.1.jar</systemPath>
    </dependency>
    

    这种引入方式,sdk 所依赖的其他包不会传递依赖,项目的 pom.xml 中还需要手动引入 sdk 所需要的其他第三方包。

    方式三 本地 Maven 仓库引入(仅旧版支持)

    • 执行以下命令将 sdk 安装到本地 Maven 仓库:
    mvn install:install-file -Dfile=D:\ultipa-java-sdk-4.0.1.jar -DgroupId=com.ultipa -DartifactId=ultipa-java-sdk -Dversion=4.0.1 -Dpackaging=jar
    
    • 在项目的 pom.xml 中添加依赖:
    <dependency>
      <groupId>com.ultipa</groupId>
      <artifactId>ultipa-java-sdk</artifactId>
      <version>4.0.1</version>
    </dependency>
    

    这种引入方式,sdk 所依赖的第三方包会传递依赖并下载,方便本地开发环境使用。需要注意的是,如果项目打包是在其他机器上,例如 Jenkins,则 Jenkins 上也需要执行安装到本地 Maven 仓库的命令。

    请完成以下信息后可下载此书
    *
    公司名称不能为空
    *
    公司邮箱必须填写
    *
    你的名字必须填写
    *
    你的电话必须填写
    *
    你的电话必须填写